---
title: 'Mint an asset'
description: 'Generates a signature for minting an asset on a given contract'
openapi: POST /api/minting/contracts/mint
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/minting/contracts/mint`

`POST https://admin.snagsolutions.io/api/minting/contracts/mint`

Generates a signature for minting an asset on a given contract

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Request body

- Content type: `application/json`
  - request body (object)
    - `assetId` (string, uuid, required)
    - `contractId` (required)
      - (oneOf)
        - value (string, uuid)
        - value (string)
    - `emailAddress` (string)
    - `walletAddress` (string)
    - `quantity` (number, default: 1)
    - `shippingId` (string)
    - `shippingOrderType` (string, one of: stripe, shipstation, drip, twitter_bearer, epic_games, stardust, twitter_clientsecret, immutable_passport, sequence, google, walletConnect, auth0, privy, thirdweb, steam, discord, google_api, shopify, ultra, github, twilio)
    - `agreedToSendW9` (boolean)
    - `customInputValue` (string)

## Response 202

202
  - response (object) — Use the id returned here to fetch the status and signature of the mint from the `/api/minting/status/:id` endpoint
    - `mintingContractAssetMintStatusId` (string, uuid, required)

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 429

429
  - response (object) — Schema for too many request response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
